Name:           python-mindsdb
Version:        25.7.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        MindsDB's AI SQL Server enables developers to build AI tools that need access to real-time data to perform their tasks

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/mindsdb/mindsdb
Source:         %{pypi_source mindsdb}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'mindsdb' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-mindsdb
Summary:        %{summary}

%description -n python3-mindsdb %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-mindsdb access,aerospike,all-extras,all-handlers-extras,altibase,anomaly-detection,anthropic,anyscale-endpoints,apache-doris,aurora,autogluon,autokeras,autosklearn,azure-blob,bedrock,bigquery,binance,box,byom,cassandra,chromadb,ckan,clickhouse,cloud-spanner,cloud-sql,cohere,coinbase,couchbase,couchbasevector,crate,d0lt,databend,databricks,datastax,db2,derby,dev,discord,dremio,dropbox,druid,dspy,edgelessdb,elasticsearch,email,empress,eventbrite,faunadb,file,firebird,flaml,frappe,gcs,github,gitlab,gmail,google-analytics,google-books,google-calendar,google-content-shopping,google-fit,google-gemini,google-search,greptimedb,groq,hana,hive,hsqldb,hubspot,huggingface,huggingface-api,huggingface-cpu,ibm-cos,ignite,impala,influxdb,informix,ingres,jira,lancedb,langchain,langchain-embedding,langfuse,leonardoai,libsql,lightfm,lightwood,lindorm,litellm,llama-index,ludwig,luma,mariadb,matrixone,maxdb,mediawiki,mendeley,merlion,milvus,minds-endpoint,mlflow,monetdb,ms-one-drive,ms-teams,mssql,mysql,neuralforecast,neuralforecast-extra,newsapi,notion,nuo-jdbc,oceanbase,openai,openbb,openstreetmap,opentelemetry,oracle,palm,paypal,pgvector,phoenix,pinecone,pinot,plaid,planetscale,popularity-recommender,portkey,pycaret,qdrant,questdb,quickbooks,rag,reddit,replicate,rocket-chat,rockset,salesforce,scylla,sendinblue,sentence-transformers,shopify,singlestore,slack,snowflake,solace,solr,spacy,sqlany,sqreamdb,stabilityai,starrocks,statsforecast,statsforecast-extra,strava,stripe,surrealdb,symbl,tdengine,teradata,test,tidb,timegpt,togetherai,tpot,trino,twelve-labs,twilio,twitter,unify,vertex,vertica,vitess,weaviate,web,webz,whatsapp,writer,xata,youtube,zendesk,zotero


%prep
%autosetup -p1 -n mindsdb-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x access,aerospike,all-extras,all-handlers-extras,altibase,anomaly-detection,anthropic,anyscale-endpoints,apache-doris,aurora,autogluon,autokeras,autosklearn,azure-blob,bedrock,bigquery,binance,box,byom,cassandra,chromadb,ckan,clickhouse,cloud-spanner,cloud-sql,cohere,coinbase,couchbase,couchbasevector,crate,d0lt,databend,databricks,datastax,db2,derby,dev,discord,dremio,dropbox,druid,dspy,edgelessdb,elasticsearch,email,empress,eventbrite,faunadb,file,firebird,flaml,frappe,gcs,github,gitlab,gmail,google-analytics,google-books,google-calendar,google-content-shopping,google-fit,google-gemini,google-search,greptimedb,groq,hana,hive,hsqldb,hubspot,huggingface,huggingface-api,huggingface-cpu,ibm-cos,ignite,impala,influxdb,informix,ingres,jira,lancedb,langchain,langchain-embedding,langfuse,leonardoai,libsql,lightfm,lightwood,lindorm,litellm,llama-index,ludwig,luma,mariadb,matrixone,maxdb,mediawiki,mendeley,merlion,milvus,minds-endpoint,mlflow,monetdb,ms-one-drive,ms-teams,mssql,mysql,neuralforecast,neuralforecast-extra,newsapi,notion,nuo-jdbc,oceanbase,openai,openbb,openstreetmap,opentelemetry,oracle,palm,paypal,pgvector,phoenix,pinecone,pinot,plaid,planetscale,popularity-recommender,portkey,pycaret,qdrant,questdb,quickbooks,rag,reddit,replicate,rocket-chat,rockset,salesforce,scylla,sendinblue,sentence-transformers,shopify,singlestore,slack,snowflake,solace,solr,spacy,sqlany,sqreamdb,stabilityai,starrocks,statsforecast,statsforecast-extra,strava,stripe,surrealdb,symbl,tdengine,teradata,test,tidb,timegpt,togetherai,tpot,trino,twelve-labs,twilio,twitter,unify,vertex,vertica,vitess,weaviate,web,webz,whatsapp,writer,xata,youtube,zendesk,zotero


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-mindsdb -f %{pyproject_files}


%changelog
%autochangelog